// 邮箱验证
export async function validateEmail(val: string) {
  const reg = /^([a-zA-Z]|[0-9])(\w|\-)+@[a-zA-Z0-9]+\.([a-zA-Z]{2,4})$/;
  return !reg.test(val) ? true : false;
}

/**
 验证 4至16位的字母+数字 
 */
export function validateUserName(value) {
  const reg = /^[a-zA-Z0-9]{4,16}$/;
  return !reg.test(value) ? true : false;
}

/**
 验证字母+数字 
 */
export function validateStr(value) {
  const reg = /^[A-Za-z0-9]+$/;
  return !reg.test(value) ? true : false;
}
